The App calculates the remaining pending life years based on the chosen geography and DOB. The comparison is based on the WHO's API and the data set is of the year 2017. The app is developed using Xamarin Forms and is cross-platform.